Overview | Modules | Class Hierarchy | Classes | Members

# Algorithm.h File Reference

`#include <list>`
`#include <string>`
`#include "tulip/Graph.h"`
`#include "tulip/Reflect.h"`
`#include "tulip/WithParameter.h"`
`#include "tulip/WithDependency.h"`
`#include "tulip/PluginProgress.h"`
`#include "tulip/Plugin.h"`
`#include "tulip/TemplateFactory.h"`

Include dependency graph for Algorithm.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::Algorithm
    Interface for general algorithm plug-ins. More...
- class tlp::AlgorithmFactory

Tulip Software by LaBRI Visualization Team 2001 - 2010